Summary: PCI utilities
Name: pciutils
Version: 3.3.1
Release: r0.0
License: GPLv2+
Group: console/utils
Packager: Wind River <info@windriver.com>
URL: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: zlib
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: kmod
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libpci.so.3()(64bit)
Requires: libresolv.so.2()(64bit)
Requires: libc.so.6()(64bit)
Requires: libz1 >= 1.2.8
Requires: libpci3 >= 3.3.1
Requires: libkmod.so.2()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: pciutils-ids
Requires: libpci.so.3(LIBPCI_3.1)(64bit)
Requires: libkmod.so.2(LIBKMOD_5)(64bit)
Requires: libpci.so.3(LIBPCI_3.0)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: /bin/sh
Requires: libkmod2 >= 18+git0+ae58de0fcb
Requires: libz.so.1()(64bit)
Requires: libpci.so.3(LIBPCI_3.3)(64bit)
Provides: elf(buildid) = e4d320a3a91e1080d04580b2aba9a145c54173a5
Provides: elf(buildid) = 7ac022efa3d5d2fd5fb1ac4b3c18ab25adf6a039

%description
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.

%package -n pciutils-ids
Summary: PCI utilities - device ID database
Group: console/utils

%description -n pciutils-ids
Package providing the PCI device ID database for pciutils.

%package -n libpci3
Summary: PCI utilities
Group: console/utils
Requires: rtld(GNU_HASH)
Requires: libz1 >= 1.2.8
Requires: libc6 >= 2.20+sdkwrl7+27
Requires(post): rtld(GNU_HASH)
Requires(post): libz1 >= 1.2.8
Requires(post): libc6 >= 2.20+sdkwrl7+27
Provides: elf(buildid) = f10d307acded1935578932f3ef70655dc0058ed3
Provides: libpci.so.3(LIBPCI_3.2)(64bit)
Provides: libpci.so.3()(64bit)
Provides: libpci.so.3(LIBPCI_3.1)(64bit)
Provides: libpci
Provides: libpci.so.3(LIBPCI_3.0)(64bit)
Provides: libpci.so.3(LIBPCI_3.3)(64bit)

%description -n libpci3
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.

%package -n pciutils-dbg
Summary: PCI utilities - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libpci-dbg
Suggests: libkmod-dbg
Suggests: libz-dbg
Recommends: pciutils = 3.3.1-r0.0

%description -n pciutils-dbg
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.  This
package contains ELF symbols and related sources for debugging purposes.

%package -n pciutils-staticdev
Summary: PCI utilities - Development files (Static Libraries)
Group: devel
Requires: pciutils-dev = 3.3.1-r0.0

%description -n pciutils-staticdev
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.  This
package contains static libraries for software development.

%package -n pciutils-dev
Summary: PCI utilities - Development files
Group: devel
Requires: libpci3
Requires: pciutils = 3.3.1-r0.0
Suggests: libz-dev
Suggests: libc6-dev
Suggests: pciutils-ids-dev
Suggests: kmod-dev
Suggests: libkmod-dev
Suggests: libpci-dev

%description -n pciutils-dev
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.  This
package contains symbolic links, header files, and related items necessary
for software development.

%package -n pciutils-doc
Summary: PCI utilities - Documentation files
Group: doc

%description -n pciutils-doc
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.  This
package contains documentation.

%package -n pciutils-locale
Summary: PCI utilities
Group: console/utils

%description -n pciutils-locale
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.

%post -n libpci3
# libpci3 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/bin"
"/usr/sbin/update-pciids"
"/usr/sbin/lspci"
"/usr/sbin/setpci"
"/usr/bin/lspci"

%files -n pciutils-ids
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
"/usr/share/pci.ids.gz"

%files -n libpci3
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libpci.so.3.3.1"
"/usr/lib64/libpci.so.3"

%files -n pciutils-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/lspci"
"/usr/sbin/.debug/setpci"
%dir "/usr/src/debug"
%dir "/usr/src/debug/pciutils"
%dir "/usr/src/debug/pciutils/3.3.1-r0"
%dir "/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1"
%dir "/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/ls-caps.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/setpci.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/ls-kernel.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/ls-caps-vendor.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/pciutils.h"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/ls-tree.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/ls-vpd.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lspci.h"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/ls-map.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/ls-ecaps.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lspci.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/common.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/names-hwdb.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/names-hash.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/init.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/sysdep.h"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/names-net.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/internal.h"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/sysfs.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/types.h"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/dump.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/filter.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/pci.h"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/names.h"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/params.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/names-cache.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/generic.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/names-parse.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/access.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/i386-io-linux.h"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/caps.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/i386-ports.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/names.c"
"/usr/src/debug/pciutils/3.3.1-r0/pciutils-3.3.1/lib/proc.c"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libpci.so.3.3.1"

%files -n pciutils-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/include"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libpci.so"
"/usr/lib64/pkgconfig/libpci.pc"
%dir "/usr/include/pci"
"/usr/include/pci/types.h"
"/usr/include/pci/header.h"
"/usr/include/pci/config.h"
"/usr/include/pci/config-64.h"
"/usr/include/pci/pci.h"

%files -n pciutils-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man7"
"/usr/share/man/man8/setpci.8"
"/usr/share/man/man8/update-pciids.8"
"/usr/share/man/man8/lspci.8"
"/usr/share/man/man7/pcilib.7"

